Package org.kie.api.runtime

# Class EnvironmentName

java.lang.Object
org.kie.api.runtime.EnvironmentName

public class EnvironmentName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APP_SCOPED_ENTITY_MANAGER`
  `static final String`
  `CALENDARS`
  `static final String`
  `CASE_ID`
  `static final String`
  `CMD_SCOPED_ENTITY_MANAGER`
  `static final String`
  `DATE_FORMATS`
  `static final String`
  `DEPLOYMENT_ID`
  `static final String`
  `ENTITY_MANAGER_FACTORY`
  `static final String`
  `EXEC_ERROR_MANAGER`
  `static final String`
  `GLOBALS`
  `static final String`
  `IDENTITY_PROVIDER`
  `static final String`
  `OBJECT_MARSHALLING_STRATEGIES`
  `static final String`
  `PERSISTENCE_CONTEXT_MANAGER`
  `static final String`
  `RUNTIME_MANAGER`
  `static final String`
  `TASK_PERSISTENCE_CONTEXT_MANAGER`
  `static final String`
  `TASK_USER_GROUP_CALLBACK`
  `static final String`
  `TASK_USER_INFO`
  `static final String`
  `TRANSACTION`
  `static final String`
  `TRANSACTION_MANAGER`
  `static final String`
  `TRANSACTION_SYNCHRONIZATION_REGISTRY`
  `static final String`
  `USE_LOCAL_TRANSACTIONS`
  `static final String`
  `USE_PESSIMISTIC_LOCKING`
  `static final String`
  `USE_PESSIMISTIC_LOCKING_MODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnvironmentName()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSACTION_MANAGER

    public static final String TRANSACTION_MANAGER
    See Also:
      - Constant Field Values

  - ### TRANSACTION_SYNCHRONIZATION_REGISTRY

    public static final String TRANSACTION_SYNCHRONIZATION_REGISTRY
    See Also:
      - Constant Field Values

  - ### TRANSACTION

    public static final String TRANSACTION
    See Also:
      - Constant Field Values

  - ### USE_LOCAL_TRANSACTIONS

    public static final String USE_LOCAL_TRANSACTIONS
    See Also:
      - Constant Field Values

  - ### ENTITY_MANAGER_FACTORY

    public static final String ENTITY_MANAGER_FACTORY
    See Also:
      - Constant Field Values

  - ### CMD_SCOPED_ENTITY_MANAGER

    public static final String CMD_SCOPED_ENTITY_MANAGER
    See Also:
      - Constant Field Values

  - ### APP_SCOPED_ENTITY_MANAGER

    public static final String APP_SCOPED_ENTITY_MANAGER
    See Also:
      - Constant Field Values

  - ### PERSISTENCE_CONTEXT_MANAGER

    public static final String PERSISTENCE_CONTEXT_MANAGER
    See Also:
      - Constant Field Values

  - ### TASK_PERSISTENCE_CONTEXT_MANAGER

    public static final String TASK_PERSISTENCE_CONTEXT_MANAGER
    See Also:
      - Constant Field Values

  - ### USE_PESSIMISTIC_LOCKING

    public static final String USE_PESSIMISTIC_LOCKING
    See Also:
      - Constant Field Values

  - ### USE_PESSIMISTIC_LOCKING_MODE

    public static final String USE_PESSIMISTIC_LOCKING_MODE
    See Also:
      - Constant Field Values

  - ### OBJECT_MARSHALLING_STRATEGIES

    public static final String OBJECT_MARSHALLING_STRATEGIES
    See Also:
      - Constant Field Values

  - ### GLOBALS

    public static final String GLOBALS
    See Also:
      - Constant Field Values

  - ### CALENDARS

    public static final String CALENDARS
    See Also:
      - Constant Field Values

  - ### DATE_FORMATS

    public static final String DATE_FORMATS
    See Also:
      - Constant Field Values

  - ### IDENTITY_PROVIDER

    public static final String IDENTITY_PROVIDER
    See Also:
      - Constant Field Values

  - ### TASK_USER_GROUP_CALLBACK

    public static final String TASK_USER_GROUP_CALLBACK
    See Also:
      - Constant Field Values

  - ### TASK_USER_INFO

    public static final String TASK_USER_INFO
    See Also:
      - Constant Field Values

  - ### RUNTIME_MANAGER

    public static final String RUNTIME_MANAGER
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_ID

    public static final String DEPLOYMENT_ID
    See Also:
      - Constant Field Values

  - ### CASE_ID

    public static final String CASE_ID
    See Also:
      - Constant Field Values

  - ### EXEC_ERROR_MANAGER

    public static final String EXEC_ERROR_MANAGER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EnvironmentName

    public EnvironmentName()